#----------------------------------------------------------------------
# Name:        usero.py
# Purpose:     User object
#
# Author:      Kristofer Goransson
#
# Created:     2003 Kristofer Goransson
# Copyright:   (c) 2003 
# Licence:     GPL
#---------------------------------------------------------------------- 
class User:

    def __init__(self, jid):
        self.jid = jid
        self.setDefaults()
        self.rsslist = []

    def setJID(self, jid):
        self.jid = jid

    def getJID(self):
        return self.jid

    def getSetting(self, opt):
        return self.settings[opt]

    def setSetting(self, opt, value):
        self.settings[opt] = value

    def setDefaults(self):
        self.settings = {'offline':False, 'away':True, 'na':True, 'pause':False}

    def getSettings(self):
        return self.settings

    def getPaused(self):
        return self.settings['pause']

    def addRss(self, name):
        self.rsslist.append(name)

    def getRss(self):
        return self.rsslist

    def checkRss(self, name):
        return self.rsslist.count(name)

    def delRss(self, name):
        self.rsslist.remove(name)
